<?php
include_once '../php/config.php';
include_once '../header.php';
$id= $_GET["id"];

$sql2 = mysql_query("select * from ingresos where id='$id'") or die(mysql_error());
$cliente =  @mysql_result($sql2, 0, "cliente");
$tipo =  @mysql_result($sql2, 0, "tipo");
$fecha =  @mysql_result($sql2, 0, "fecha");
$id_inscripcion =  @mysql_result($sql2, 0, "id_inscripcion");
$monto =  @mysql_result($sql2, 0, "monto");
$fecha =  @mysql_result($sql2, 0, "fecha");

$sql = mysql_query("select * from inscripciones where id='$id'") or die(mysql_error());
$nombre =  @mysql_result($sql, 0, "nombre");

////echo date("H:i:s");

?>

<style>
    body{
        background: #ebedef;

    }
.titulos_p{
    font-size:12px;
}
.row{
	margin-top:8px;
		
	
}
    
</style>
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            
            <div class="panel panel-default">
               <div class="panel-heading">

               </div>
                <div class="panel-body">
                     <form id="frm" method="POST">
					 
					 
				 
				   <div class="row">
				   
                    <div class="col-md-2 mt-2">
                        <span class="titulos_p mt-2"># Transaccion</span>
                    </div>

                    <div class="col-md-10">
                       <input type="text" class="form-control" id="codigo" name="codigo" value="<?php echo $id?>" readonly>
                    </div>
				 </div> 
				
				 
				 <div class="row">
                    <div class="col-md-2 mt-2">
                        <span class="titulos_p mt-2">Tipo pago</span>
                    </div>

                    <div class="col-md-10">
                       <input type="text" class="form-control" id="tipo" name="tipo" value="<?php echo $tipo?>">
                    </div>
				 </div> 
				 
                   <div class="row">
				   
                    <div class="col-md-2 mt-2">
                        <span class="titulos_p mt-2">Nombre cliente</span>
                    </div>

                    <div class="col-md-10">
                       <input type="text" class="form-control" id="nombre" name="nombre" value="<?php echo $cliente?>">
                    </div>
				 </div> 
				 
				
				 
				
				
				 
				  <div class="row">
                    <div class="col-md-2 mt-2">
                        <span class="titulos_p mt-2">Monto pagado</span>
                    </div>

                    <div class="col-md-10">
                       <input type="number" class="form-control" id="pagado" name="pagado" value="<?php echo $monto?>">
                    </div>
				 </div>
				
				
				 	 <div class="row">
                    <div class="col-md-2 mt-2">
                        <span class="titulos_p mt-2">Fecha</span>
                    </div>

                    <div class="col-md-10">
                       <input type="Date" class="form-control" id="fecha" name="fecha"  value="<?php echo $hoy?>">
                    </div>
				 </div>
				 
				  
				 
				 <hr>
                    <button class="btn btn-verde" type="submit" name="grabar" id="reimprimir"><i class="bi bi-printer"></i>Reimprimir pago</button>
					<button class="btn btn-secondary" type="submit" name="salir" id="borrar"><i class="bi bi-trash"></i> Borrar</button>
					<button class="btn btn-secondary" type="submit" name="salir" id="salir"><i class="bi bi-arrow-up-right-square"></i> Salir</button>
                
				    </form> 
				 </div> 
                  
                    </div>
                </div>
            </div>
            
        </div>
    </div>
</div>
<?php

include_once '../footer.php';
?>

<script>
var dispositivo="";
$(function(){
	$("#pagado").focus();
	$("#pagado").select();
	$("#reimprimir").click(function(e){
		e.preventDefault();
		
			
				imprimir($("#codigo").val())
				///window.location.href="inscripciones.php";
			
		
	})
	
	
		////Borrar
		$("#borrar").click(function(e){
		e.preventDefault();
		if(!confirm("Esta seguro de borrar este registro?")){ return;}
		_enviar("borrar.php", $("#frm").serialize())
		.done(function(data){
			if(data=="1"){
				
					window.location.href="ingresos_hoy.php";

			}else{
				alert(data);
			}
		})
	})
})

$(function(){
	$("#salir").click(function(e){
		e.preventDefault();
		window.location.href="ingresos_hoy.php";
	})
})



function imprimir(v){
if(dispositivo=="movil"){
			window.location.href='recibo_mobil.php?id='+v;

			}else{
				window.open('recibo_ingreso.php?id='+v, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
			}
historico();			
			}




if(isMobile()){
  dispositivo = "movil";
}else{
  dispositivo = "pc";
}


function isMobile(){
    return (
        (navigator.userAgent.match(/Android/i)) ||
        (navigator.userAgent.match(/webOS/i)) ||
        (navigator.userAgent.match(/iPhone/i)) ||
        (navigator.userAgent.match(/iPod/i)) ||
        (navigator.userAgent.match(/iPad/i)) ||
        (navigator.userAgent.match(/BlackBerry/i))
    );
}

function historico(){
	_enviar("historico.php", $("#frm").serialize())
		.done(function(data){
			if(data=="1"){
				
			/////

			}else{
				alert(data);
			}
		})
}
</script>